#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'wetter/commandline/menu.rb'
# =========================================================================== #
require 'wetter/wetter.rb'

class Wetter

  # ========================================================================= #
  # === Wetter.menu                                                (menu tag)
  # ========================================================================= #
  def self.menu(i)
    if i.is_a? Array
      if i.empty?
        Wetter.new(i)
      else
        i.each {|entry| menu(entry) }
      end
    else
      case i # case tag
      # ===================================================================== #
      # === wetter --temperature-only
      # ===================================================================== #
      when /^-?-?temperature(-|_)?only$/i
        puts Wetter.temperature?
        exit
      # ===================================================================== #
      # === wetter --sinatra
      # ===================================================================== #
      when /^-?-?sinatra$/i,
           /^-?-?www$/i
        require 'wetter/www/start_sinatra_interface.rb'
        Wetter.start_sinatra_interface
      else
        Wetter.new(i)
      end
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  Wetter.menu(ARGV)
end