#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'wetter/constants.rb'
# =========================================================================== #
class Wetter

  # ========================================================================= #
  # === N
  # ========================================================================= #
  N   = "\n"

  # ========================================================================= #
  # === URL
  #
  # Point to the remote website that holds the information for the
  # local temperature in the city of Vienna.
  # ========================================================================= #
  URL =
    'http://www.zamg.ac.at/cms/de/wetter/wetterwerte-analysen/wien'

  # ========================================================================= #
  # === USE_THIS_REGEX
  # ========================================================================= #
  USE_THIS_REGEX = /Temp: (-?\d+.\d+)/ # This also handles negative temperature.

  # ========================================================================= #
  # === USE_DEGREE_REGEX
  #
  # This second regex can be used when we wish to match against &deg values.
  # ========================================================================= #
  USE_DEGREE_REGEX = /\>(\d+.\d+)&deg;\</ # See: http://rubular.com/r/FheegP7Hfg

  # ========================================================================= #
  # === TRY_TO_MAKE_USE_OF_THE_UNICODE_WEATHER_SYMBOL
  #
  # If the next constant is set to true then class Wetter will try to make
  # use of the unicode symbol for "cloudy weather".
  # ========================================================================= #
  TRY_TO_MAKE_USE_OF_THE_UNICODE_WEATHER_SYMBOL = true

end