#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Wetter::Sinatra
# =========================================================================== #
# require 'wetter/www/app.rb'
# =========================================================================== #
require 'sinatra/base.rb'
require 'html_tags'
require 'wetter/wetter.rb'
require 'wetter/toplevel_methods/is_on_roebe.rb'

class Wetter

class Sinatra < Sinatra::Base # === Wetter::Sinatra

  include Colours
  include HtmlTags::BaseModule

  # ========================================================================= #
  # === USE_THIS_PORT
  # ========================================================================= #
  USE_THIS_PORT = '4569'

  set :port, USE_THIS_PORT

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    super()
    reset
    if ::Wetter.is_on_roebe?
      require 'open_in_browser'
      # ===================================================================== #
      # Tell us which port will be used:
      # ===================================================================== #
      target = "http://localhost:#{USE_THIS_PORT}/"
      e sfancy(target)
      Thread.new {
        OpenInBrowser[target] {{ delay: '1.0 seconds' }}
      }
    end
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
  end

  # ========================================================================= #
  # === / Entry point -> http://localhost:4569/
  #
  # This is the root of our web-application.
  # ========================================================================= #
  get('/') {
    return_root_string
  }

  # ========================================================================= #
  # === return_root_string
  # ========================================================================= #
  def return_root_string
    html {
      '<title>The weather/temperature in Vienna</title>'+
      '<body>'+
      p('The current temperature in Vienna is: <br><br>'\
        '<b style="padding:1em; margin:0.5em; font-size: larger">'+
        Wetter.n_degrees_celsius?.to_s+'°C</b><br>','','',
        'font-size:1.8em'
      )+'</body>'
    }
  end

end; end

if __FILE__ == $PROGRAM_NAME
   require 'wetter/www/start_sinatra_interface.rb'
   Wetter.start_sinatra_interface
end # wetter --sinatra